%define pre %nil
%define major 0.36
Name: bmpx
Version: %major.1
Release: alt2

Summary: BMPx is the codename for the next-generation BMP (GTK+2 port of XMMS)

License: GPL
Group: Sound
Url: http://beep-media-player.org/

Packager: Vitaly Lipatov <lav@altlinux.ru>

#Source: http://dl.sf.net/beepmp/%name-%version%pre.tar.bz2
Source: http://files.beep-media-player.org/releases/%major/%name-%version.tar.bz2
Patch: bmpx-0.36.1-alt-unresolved.patch

Requires(post,postun): desktop-file-utils

BuildPreReq: gnome-common >= 2.8.0
BuildPreReq: desktop-file-utils

Provides: lib%name = %version-%release
Obsoletes: lib%name


# Automatically added by buildreq on Sun Mar 25 2007
BuildRequires: boost-filesystem-devel boost-regex-devel gcc-c++ glibc-devel-static gst-plugins-devel imake libalsa-devel libcdparanoia-devel libdbus-glib-devel libgamin-devel libglademm-devel libhal-devel libmpeg4ip-devel libmusicbrainz-devel libneon0.25-devel librsvg-devel libsidplay-devel libSM-devel libstartup-notification-devel libtag-devel perl-XML-Parser xorg-cf-files zip


%description
BMP, or Beep Media Player, is a compact media player that was originally
forked from XMMS with the goal of porting XMMS to GTK2 and make use of
more modern desktop standards. The original XMMS is based on GTK 1.2,
which is now deprecated for roughly 4 years, and was deprecated at the
time of the fork for approximately 2 years. This, and the fact that the
developers were developing XMMS under a mostly cathedral-style model led
M. Derezynski to fork BMP from XMMS.  The original name of the application
was "Beep", but since a program for the PC speaker for creating beep
sounds called "beep" already existed, the project was renamed to "Beep
Media Player" by adding the attributive "Media Player". This name seems
rather awkward now, since in some way it suggests that the player is meant
to play some kind of "beep media", which of course doesn't exist. Because
of that it was mostly agreed that the official name is now "BMP", which
doesn't neccesarily stand for anything (see for popular examples of
such kinds of naming changes for example the DVD entry in Wikipedia).

%package devel
Summary: Development package with headers for %name
Group: Development/C
Provides: lib%name-devel = %version-%release
Obsoletes: lib%name-devel

%description devel
Header files required for compiling %name plugins.

%description devel -l ru_RU.KOI8-R
       %name.

%prep
%setup -q -n %name-%version%pre
%patch -p1

%build
%configure --enable-gamin --enable-libnotify --enable-mp4v2 --enable-sid
%make_build

%install
%make_install DESTDIR=%buildroot install

rm -f %buildroot%_datadir/libhrel/examples/hrel-demo
# due broken link
rm -f %buildroot%_bindir/bmp2
ln -s beep-media-player-2 %buildroot%_bindir/bmpx

%find_lang %name

%post
%update_menus
%update_desktopdb

%postun
%clean_menus
%clean_desktopdb

#%post -n lib%name -p %post_ldconfig
#%postun -n lib%name -p %postun_ldconfig

%files -f %name.lang
%_bindir/*
%_libexecdir/beep-media-player-2-*
#%_menudir/*
%_datadir/%name/
#%_datadir/bmp-remote
%_desktopdir/*
#%_datadir/icons/hicolor/48x48/mimetypes/*
%_datadir/dbus-1/services/*
%_liconsdir/bmpx.png
%_man1dir/*
%_libdir/%name/
#%_datadir/mime/packages/*

#%files -n lib%name
#%_libdir/libskinned.so.*
#%_libdir/*.so.*
# when with dbus
#%_datadir/%name-clients

%files devel
%_includedir/*
#%_libdir/*.so
%_pkgconfigdir/*
#%_datadir/gtk-doc/html/libhrel

%changelog
* Sun Mar 25 2007 Vitaly Lipatov <lav@altlinux.ru> 0.36.1-alt2
- fix plugins linking (bug #11206), thanks Igor Zubkov (icesik@)
- update buildreq

* Sat Dec 30 2006 Vitaly Lipatov <lav@altlinux.ru> 0.36.1-alt1
- update buildreqs, enable build with libmp4v2, sid, libnotify, gamin

* Tue Dec 26 2006 Vitaly Lipatov <lav@altlinux.ru> 0.36.1-alt0.1
- new version 0.36.1 (with rpmrb script)

* Thu Nov 16 2006 Vitaly Lipatov <lav@altlinux.ru> 0.33.4-alt0.1
- new version 0.33.4 (with rpmrb script)

* Thu Oct 05 2006 Vitaly Lipatov <lav@altlinux.ru> 0.32.0-alt0.1
- new version 0.32.0 (with rpmrb script)

* Fri Jul 21 2006 Vitaly Lipatov <lav@altlinux.ru> 0.20.3-alt0.1
- new version 0.20.3
- enable dbus, disable libnotify
- remove libbmpx, rename libbmpx-devel to bmpx-devel

* Thu May 18 2006 Vitaly Lipatov <lav@altlinux.ru> 0.14.4-alt0.2
- remove glibc-devel-static requires
- fix file packaging (fix bug #9584)

* Tue May 09 2006 Vitaly Lipatov <lav@altlinux.ru> 0.14.4-alt0.1
- new version 0.14.4 (with rpmrb script)

* Tue May 02 2006 Vitaly Lipatov <lav@altlinux.ru> 0.14.3-alt0.1
- new version (0.14.3)

* Wed Mar 22 2006 Vitaly Lipatov <lav@altlinux.ru> 0.14.2-alt0.1
- new version 0.14.2 (with rpmrb script)

* Thu Feb 16 2006 Vitaly Lipatov <lav@altlinux.ru> 0.13-alt0.1
- new version (0.13)
- disable dbus support (wan't work)

* Fri Nov 25 2005 Vitaly Lipatov <lav@altlinux.ru> 0.12.9-alt0.1
- new version

* Tue Nov 22 2005 Vitaly Lipatov <lav@altlinux.ru> 0.12.8-alt0.1
- new version

* Sun Nov 13 2005 Vitaly Lipatov <lav@altlinux.ru> 0.12.5-alt0.1
- new version

* Fri Nov 04 2005 Vitaly Lipatov <lav@altlinux.ru> 0.12.2-alt0.1
- new version

* Wed Oct 26 2005 Vitaly Lipatov <lav@altlinux.ru> 0.12-alt1
- 0.12 release
- fix Url

* Thu Oct 13 2005 Vitaly Lipatov <lav@altlinux.ru> 0.12-alt0.1RC9
- new version

* Sun Oct 09 2005 Vitaly Lipatov <lav@altlinux.ru> 0.11.3-alt0.1
- new version

* Sun Sep 18 2005 Vitaly Lipatov <lav@altlinux.ru> 0.11-alt0.1
- new version

* Sat Aug 27 2005 Vitaly Lipatov <lav@altlinux.ru> 0.7-alt0.1
- first build for ALT Linux Sisyphus

